% BuckConverter.mdl
% Projekt E-Mobil
% Grafische Darstellung der phyiskalischen Gren




% %% Ausgangsspannung v_Out
% figure(155)
% 
% % Verlauf zeichnen => (:,1) - Erste Datenspalte; bei
% % Mulitplex-Signalleitung => (:,n) fr n.te Datenspalte
% stairs(v_Out.time, v_Out.signals.values(:,1), 'b-');
% 
% % "hold on" ntig bei mehreren Plots in ein und derselben Figure:
% hold on;
% 
% % Gitterlinien einzeichnen:
% grid on;
% 
% 
% % Schriftgre:
% set(gca,'FontSize',13);
% 
% 
% % Achsenbeschriftung:
% xlabel('Zeit in s');
% ylabel('Ausgangsspannung [V]');
% 
% 
% % Legende:
% legend('Ausgangsspannung [V]', 1);  % 1 => Legende rechts oben
% 
% 
% % Achsenskalierung: [x_min, x_max, y_min, y_max]
% axis([0 0.02 0 8])


% Erzeugung einer emf-Datei im selben Verzeichnis mit dem Dateinamen:
% v_Out_plot01.emf
%print -dmeta -r600 v_Out_plot01.emf;



%% Spulenstrom i_L
figure(156)

plot(i_L.time, i_L.signals.values(:,3), 'c-');

hold on;

plot(i_L.time, i_L.signals.values(:,2), 'm-');
plot(i_L.time, i_L.signals.values(:,1), 'b-');

grid on;

set(gca,'FontSize',13);

xlabel('t in s');
ylabel('i_L in A');

%legend('Spulenstrom [A]');

%axis([0 0.002 0 1.2*max(i_L.signals.values(:,3))])
axis([0 0.005 0 20])

%print -dmeta -r600 i_L_plot01.emf;

legend('Switched model', 'State-space model', 'small-signal model');



% %% Eingangsstrom i_In
% figure(157)
% 
% stairs(i_In.time, i_In.signals.values(:,1), 'm-');
% 
% hold on;
% 
% grid on;
% 
% set(gca,'FontSize',13);
% 
% xlabel('Zeit in s');
% ylabel('Eingangsstrom [A]');
% 
% legend('Eingangsstrom [A]');
% 
% axis([0 0.02 0 5])
% 
% print -dmeta -r600 i_In_plot01.emf;

